[Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.3

Do not post support requests, bug reports or feature requests. Discuss phpBB here. Non-phpBB related discussion goes in General Discussion!
Ideas Centre
User avatar
callumacrae
Former Team Member
Posts: 2662
Joined: Tue Feb 12, 2008 12:28 pm
Location: London, UK
Name: Callum Macrae
Contact:

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by callumacrae » Wed Apr 25, 2012 6:39 am

fac7orx wrote:Can anyone comment on godaddy? My control panel there says 5.2 :(.
PHP Version: PHP 5.2
Anyone know of a way to get 5.3 on there?
http://www.velvetblues.com/web-developm ... r-godaddy/
macr.ae = my website. you probably won't like it.
Proud user ofProud user of

fac7orx
Registered User
Posts: 43
Joined: Sun Dec 28, 2008 6:49 pm

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by fac7orx » Thu Apr 26, 2012 10:34 am

Thanks for the reply callumacrae, but I am currently using their older shared plan (2GH), not their 4GH. Will that line also work for users on the older hosting service from godaddy? Thank you.

User avatar
callumacrae
Former Team Member
Posts: 2662
Joined: Tue Feb 12, 2008 12:28 pm
Location: London, UK
Name: Callum Macrae
Contact:

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by callumacrae » Thu Apr 26, 2012 11:23 am

fac7orx wrote:Thanks for the reply callumacrae, but I am currently using their older shared plan (2GH), not their 4GH. Will that line also work for users on the older hosting service from godaddy? Thank you.
I'm not sure. Give it a try, or contact their support.
macr.ae = my website. you probably won't like it.
Proud user ofProud user of

User avatar
Sajaki
Registered User
Posts: 1354
Joined: Mon Mar 02, 2009 1:41 pm
Name: Andreas
Contact:

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by Sajaki » Sat Aug 18, 2012 11:21 am

My host (ipage) doesn't seem to be willing to upgrade PHP to 5.3. I guess i'll have to move then. i'm sure there are lots of hosts like that.

User avatar
Volksdevil
Registered User
Posts: 2414
Joined: Sun Oct 03, 2010 2:03 pm
Location: Lancashire, UK
Name: Neil
Contact:

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by Volksdevil » Sat Aug 18, 2012 2:26 pm

Oh dear...

123-reg > PHP Version 5.2.17 :roll:
My phpBB Extensions
Finally found great Website Hosting from Image KUALO!
Do NOT use 123-reg.co.uk - Incapable of running phpBB!
:ugeek: TekNeil - Streamer on Mixer | My Volkswagen Corrado G60

User avatar
EXreaction
Former Team Member
Posts: 5666
Joined: Sun Aug 21, 2005 9:31 pm
Location: Wisconsin, U.S.
Name: Nathan

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by EXreaction » Sat Aug 18, 2012 7:03 pm

If a host is unwilling to keep their applications updated frequently, they are probably not a host that you would want to use.

User avatar
Christian 2.0
Former Team Member
Posts: 4509
Joined: Wed Nov 04, 2009 11:16 pm
Location: UK
Name: Christian
Contact:

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by Christian 2.0 » Sat Aug 18, 2012 7:10 pm

Volksdevil wrote:Oh dear...
123-reg > PHP Version 5.2.17 :roll:
123-reg is a pretty bad host anyway. They give a false impression of greatness by being a UK based company, although the truth is their hosting is well below-par and their prices are well above average.

User avatar
Volksdevil
Registered User
Posts: 2414
Joined: Sun Oct 03, 2010 2:03 pm
Location: Lancashire, UK
Name: Neil
Contact:

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by Volksdevil » Sun Aug 19, 2012 12:58 pm

I can't disagree :) The amount of issues I've had, and downtime is unreal. I'm just not too happy about the idea of changing host though as I'm sure it will bring other complications, compatability etc. 123-reg do offer a good/easy to use CP with access to databases, phpmyadmin, forwarding etc etc...

I'll maybe have to just give them a nudge about this.
My phpBB Extensions
Finally found great Website Hosting from Image KUALO!
Do NOT use 123-reg.co.uk - Incapable of running phpBB!
:ugeek: TekNeil - Streamer on Mixer | My Volkswagen Corrado G60

User avatar
Christian 2.0
Former Team Member
Posts: 4509
Joined: Wed Nov 04, 2009 11:16 pm
Location: UK
Name: Christian
Contact:

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by Christian 2.0 » Sun Aug 19, 2012 3:29 pm

The Support team will gladly assist you in offering instructions on how to transfer your forum to another web host. Your forum is also relatively small, 7,000 posts doesn't represent a giant database so it should be fine from that respect too.

There may be some downtime while the domain nameservers propogate to your new host. A small price to pay for cheaper domain renewals and much cheaper / much more reliable hosting.

Let me know via PM if you'd like some recommendations. :)

User avatar
Volksdevil
Registered User
Posts: 2414
Joined: Sun Oct 03, 2010 2:03 pm
Location: Lancashire, UK
Name: Neil
Contact:

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by Volksdevil » Sun Aug 19, 2012 11:04 pm

Cheers Christian, I'll keep that in mind when I've got more time to think about it. 8-) One thing I'm glad I did do, was to get away from the 123-reg install package and use all the correct phpbb files.

Staying on topic, I think it's always best to stay up to date with this sort of thing, otherwise getting left behind means a hell of a lot more work later on.
My phpBB Extensions
Finally found great Website Hosting from Image KUALO!
Do NOT use 123-reg.co.uk - Incapable of running phpBB!
:ugeek: TekNeil - Streamer on Mixer | My Volkswagen Corrado G60

Pony99CA
Registered User
Posts: 4783
Joined: Thu Sep 30, 2004 3:13 pm
Location: Hollister, CA
Name: Steve
Contact:

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by Pony99CA » Tue Aug 21, 2012 1:34 am

Christian 2.0 wrote: There may be some downtime while the domain nameservers propogate to your new host.
There shouldn't be if you do things correctly. There will obviously be downtime while you move phpBB (you don't want people posting after you've backed up). However, once you're up and running on the new host and have changed your DNS to point to that host, put a permanent redirect to the IP address of the new host (http://255.255.255.255/~account/phpBB3 or something similar). That should get people whose DNS hasn't been updated yet to your board.

You may have to set a couple of phpBB settings to use the IP address, too, at least for a couple of days.

That's basically what I did when I moved a client from their old host to my host. It does rely on paying for two hosts for a period of time, but unless your hosting bill is huge, it shouldn't be a big deal.

Steve
Silicon Valley Pocket PC (http://www.svpocketpc.com)
Creator of manage_bots and spoof_user (ask me)
Need hosting for a small forum with full cPanel & MySQL access? Contact me or PM me.

User avatar
callumacrae
Former Team Member
Posts: 2662
Joined: Tue Feb 12, 2008 12:28 pm
Location: London, UK
Name: Callum Macrae
Contact:

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by callumacrae » Wed Aug 22, 2012 7:45 am

Pony99CA wrote:
Christian 2.0 wrote: There may be some downtime while the domain nameservers propogate to your new host.
There shouldn't be if you do things correctly. There will obviously be downtime while you move phpBB (you don't want people posting after you've backed up). However, once you're up and running on the new host and have changed your DNS to point to that host, put a permanent redirect to the IP address of the new host (http://255.255.255.255/~account/phpBB3 or something similar). That should get people whose DNS hasn't been updated yet to your board.

You may have to set a couple of phpBB settings to use the IP address, too, at least for a couple of days.

That's basically what I did when I moved a client from their old host to my host. It does rely on paying for two hosts for a period of time, but unless your hosting bill is huge, it shouldn't be a big deal.

Steve
I wouldn't class that as correctly - most servers don't event support that syntax of URL.
macr.ae = my website. you probably won't like it.
Proud user ofProud user of

User avatar
MichaelC
Consultant
Consultant
Posts: 3642
Joined: Mon Dec 21, 2009 3:36 pm
Location: Surrey, UK
Name: Michael Cullum
Contact:

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by MichaelC » Wed Aug 22, 2012 9:42 am

callumacrae wrote:
Pony99CA wrote:
Christian 2.0 wrote: There may be some downtime while the domain nameservers propogate to your new host.
There shouldn't be if you do things correctly. There will obviously be downtime while you move phpBB (you don't want people posting after you've backed up). However, once you're up and running on the new host and have changed your DNS to point to that host, put a permanent redirect to the IP address of the new host (http://255.255.255.255/~account/phpBB3 or something similar). That should get people whose DNS hasn't been updated yet to your board.

You may have to set a couple of phpBB settings to use the IP address, too, at least for a couple of days.

That's basically what I did when I moved a client from their old host to my host. It does rely on paying for two hosts for a period of time, but unless your hosting bill is huge, it shouldn't be a big deal.

Steve
I wouldn't class that as correctly - most servers don't event support that syntax of URL.
Almost all shared hosts do.
:)
Formerly known as Unknown Bliss.
Formerly Website Team Lead/Manager & Development Team.
Please don't PM me for support (or stuff that belongs in the forums or tracker) but otherwise feel free

Paul
Infrastructure Team Leader
Infrastructure Team Leader
Posts: 25486
Joined: Sat Dec 04, 2004 3:44 pm
Location: The netherlands.
Name: Paul Sohier
Contact:

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by Paul » Wed Aug 22, 2012 10:06 am

apache has standard support for it, however it is disabled by default. Both Cpanel and direct admin support it, I guess plesk does as well. That should cover nearly all hosts really.
Knock knock
Race condition
Who's there?

My BlogMy Photosmy phpBB Extensionscustom phpBB work & Development

beiley
Registered User
Posts: 7
Joined: Fri Feb 09, 2007 12:55 am
Location: Chandler, AZ USA
Contact:

Re: [Discuss] phpBB 3.1 "Ascraeus" to require PHP 5.3.2

Post by beiley » Mon Aug 27, 2012 5:40 pm

IXWebHosting is still at 5.2.17, which is unfortunate. I've sent them a request to update, but it wasn't received too well. Hopefully others can request them to update as well.
Beiley Software, using phpBB 3.0.x

Post Reply

Return to “phpBB Discussion”